package id.co.hanoman.ngdemo.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

import com.senomas.boot.security.domain.SecurityRole;

@Entity
public class AppRole implements SecurityRole {

	@Id
	@Column(length=64)
	private String code;
	
	@Column(nullable=false, unique=true, length=256)
	private String name;
	
	@Column(length=1024)
	private String description;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
